Results 1 to 8 of 8

Thread: Unable to upgrade to SP2

  1. #1
    William NNTP User

    Default Unable to upgrade to SP2

    I am currently running SLES 10 sp1. I have tried to upgrade to sp2. I have used the online update tool and taken all the recommended updates first. I am now at the point where the only item left in the list is the move-to-sp2 upgrade however I get about 9 dependencies that occur when I try to upgrade.

    What do I do? I am not going to guess at what to choose to allow this to happen. Looks like the main issue is the novell-base.

  2. #2
    Join Date
    Jun 2008
    Location
    The Netherlands
    Posts
    1,273

    Default Re: Unable to upgrade to SP2

    Hi William,

    I think you will have better responses here : NOVELL FORUMS as your question is specific to the enterprise product.

    There is a TID here on upgrading considerations : How to update to SLES/SLED 10 SP2

    What are the dependency errors exactly?

    ps. if you are running OES2 on top of SLES it is not recommended to upgrade to SLES SP2 just yet! OES2 SP1 will include support for SLES SP2
    Last edited by Magic31; 24-Jun-2008 at 06:34. Reason: added OES2 note
    Have a lot of fun!

  3. #3

    Default Re: Unable to upgrade to SP2

    Thanks! This is an open incident and we spent several hours yesterday trying to upgrade. I am surprised that the tech did not know this, and I'm at the top of the chain...no higher escalation.

    The open incident (6 months now) is unrelated to the upgrade but they thought that the upgrade may fix an issue that we are experiencing with the ZEN inventory not updating the database.

    Thanks for the information!! ...and yes, we are running OES2

  4. #4
    Join Date
    Jun 2008
    Location
    The Netherlands
    Posts
    1,273

    Default Re: Unable to upgrade to SP2

    It could be an idea to build a SLES server with SP2, install eDirectory on that (not with the OES2 add on but using the Linux eDir package from Novell) and install Zen Services on that.

    It should not be a to big a job to get this tested, but that depends on what kind of environment you are in (how big/complex).

    Hope you get it sorted!

    Cheers,
    Wj
    Have a lot of fun!

  5. #5

    Default Re: Unable to upgrade to SP2

    We are a fairly small IT department - I think we could pull that off.

    Thanks for the input!!

  6. #6
    Join Date
    Jun 2008
    Location
    The Netherlands
    Posts
    1,273

    Default Re: Unable to upgrade to SP2

    Good luck & hope that gets your issue with Zen sorted!

    Cheers,
    Wj
    Have a lot of fun!

  7. #7

    Default Re: Unable to upgrade to SP2

    do you think it would be possible to uninstall OES2 and ZEN and then proceed with your suggestion? Has this been done before? Or just start over?

  8. #8
    Join Date
    Jun 2008
    Location
    The Netherlands
    Posts
    1,273

    Default Re: Unable to upgrade to SP2

    What does the current server do? Is it specifically set up Zen or does it also have other tasks?

    If you are comfortable with adding/removing servers and know the extra objects Zen creates for you I'd personally set up a new server to test (might as well be a desktop for your test).
    The nice thing about Zen is that you can easily move it around as it's a question of reconfiguring some policy settings to point your workstations and users to the server you want them to use (also don't forget about your zenwsimport dns record).

    After successful testing, that's a good point to re-install (I like clean setups) your original server the way you want it.

    I'm assuming you are running ZenWorks 7 ? Or are you already on ZCM?
    Have a lot of fun!

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •